## org.eclipse.datatools.sqltools.common.ui.preferences
Class ComboFieldEditor

    java.lang.Object
      org.eclipse.jface.preference.FieldEditor
          org.eclipse.datatools.sqltools.common.ui.preferences.ComboFieldEditor

    public class ComboFieldEditor

extends org.eclipse.jface.preference.FieldEditor

A field editor for a combo box that allows the drop-down selection of one of a list of items.

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditor
`IS_VALID, VALUE`

Constructor Summary
`ComboFieldEditor(java.lang.String name, java.lang.String labelText, java.lang.String[][] entryNamesAndValues, org.eclipse.swt.widgets.Composite parent)`

Method Summary
`org.eclipse.swt.widgets.Combo` `getComboBoxControl(org.eclipse.swt.widgets.Composite parent)` Lazily create and return the Combo control.
`int` `getNumberOfControls()`

Methods inherited from class org.eclipse.jface.preference.FieldEditor
`dispose, fillIntoGrid, getFieldEditorFontName, getLabelControl, getLabelText, getPreferenceName, getPreferenceStore, isValid, load, loadDefault, presentsDefaultValue, setEnabled, setFocus, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPropertyChangeListener, store`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboFieldEditor

    public ComboFieldEditor(java.lang.String name,
                            java.lang.String labelText,
                            java.lang.String[][] entryNamesAndValues,
                            org.eclipse.swt.widgets.Composite parent)

Method Detail

### getNumberOfControls

    public int getNumberOfControls()

  Specified by:
    `getNumberOfControls` in class `org.eclipse.jface.preference.FieldEditor`
  See Also:
    `FieldEditor.getNumberOfControls()`

### getComboBoxControl

    public org.eclipse.swt.widgets.Combo getComboBoxControl(org.eclipse.swt.widgets.Composite parent)

  Lazily create and return the Combo control.